> 13.1 | SMS parameters

> Parameter Description

> <ackpdu>(num)

> Format is same for <pdu> in case of SMS, but without GSM 24.11 SC address field and parameter shall be bounded by double quote characters like a normal string type parameter

> <alpha>(str)(+CSCS)

> String type alphanumeric representation of <da> or <oa> corresponding to the entry found in phonebook; this feature is not supported

> <cdata>(num)

> Command Data
> GSM 03.40 TP-Command-Data in text mode responses; ME/TA converts each 8-bit octet into two IRA character long hexadecimal numbers (e.g. octet with integer value 42 is presented to TE as two characters 2A (IRA 50 and 65))

> <ct>(num)

> Command Type
> GSM 03.40 TP-Command-Type in integer format
> [0]...255

> <da>(num)(+CSCS)

> Destination Address
> GSM 03.40 TP- Destination-Address Address-Value field in string format; BCD numbers (or GSM default alphabet characters) are converted into characters; type of address given by <toda>

> <data>(num)(+CSCS)

> User Data
> In case of SMS: GSM 03.40 TP-User-Data in text mode responses; format:

> • | If <dcs> indicates that GSM 03.38 default alphabet is used and <fo> indicates that GSM 03.40 TP-User-Data-Header-Indication is not set: ME/TA converts GSM alphabet into current TE character set according to rules covered in Annex A.

> • | If <dcs> indicates that 8-bit or UCS2 data coding scheme is used, or <fo> indicates that GSM 03.40 TP-User-Data-Header-Indication is set: ME/TA converts each 8-bit octet into hexadecimal numbers con-taining two IRA characters (e.g. octet with integer value 42 is presented to TE as two characters 2A (IRA 50 and 65).

> In case of CBS: GSM 03.41 CBM Content of Message in text mode responses; format:

> • | If <dcs> indicates that GSM 03.38 default alphabet is used: ME/TA converts GSM alphabet into current TE character set according to rules covered in Annex A.

> • | If <dcs> indicates that 8-bit or UCS2 data coding scheme is used: ME/TA converts each 8-bit octet into hexadecimal numbers containing two IRA characters.

> <dt>(num)

> Discharge Time
> GSM 03.40 TP-Discharge-Time in time-string format: "yy/MM/dd,hh:mm:ss+zz", where characters indicate year (two last digits), month, day, hour, minutes, seconds and time zone. For example, 6th of May 1994, 22:10:00 GMT+2 hours equals "94/05/06,22:10:00+08"

> <ieia>(num)

> IEIa (Information Element Identifier octet) of the concatenated SMS.
> 8
> Concatenated short messages, 8-bit reference number
> 16
> Concatenated short messages, 16-bit reference number

> <index>(num)

> Integer type; value in the range of location numbers supported by the associated memory

> <length>(num)

> Message Length
> Integer type value indicating in the text mode (AT+CMGF=1) the length of the message body <data> (or <cdata>) in characters; or in PDU mode (AT+CMGF=0), the length of the actual TP data unit in octets (i.e. the RP layer SMSC address octets are not counted in the length) In text mode, the maximum length of an SMS depends on the used coding scheme: It is 160 characters if the 7 bit GSM coding scheme is used, and 140 characters according to the 8 bit GSM coding scheme.
> If the SMS message format is ''text mode'' (AT+CMGF=1) and the character set is set to ''UCS2'' with AT+CSCS and the SMS is also coded as "UCS2" (see <dcs> of AT+CSMP), then the length is in octets instead of characters.
> For concatenated SMS messages the maximum length will be reduced by the length of the user data header with respect to <ieia> (6 bytes for <ieia>=8 and 7 bytes for <ieia>=16). In the case of 8-bit data, the maximum length of the short message field is: 140 octets - (6 or 7) = 134 or 133. In the case of GSM 7 bit default alphabet data, the maximum length of the short message is (140 - (6 or 7))*8/7 = 153 or 152 characters. In the case of 16 bit UC2 data, the maximum length of the short message is: (140 - (6 or 7))/2)= 67 or 66 characters.

> <max>(num)

> Maximum number of all segments to be concatenated into one SMS, beginning with 1.
> <max>=0 means: ignore the value. This will result in a non-concatenated SMS.
> 0...255

> <mem1>(str)

> Memory to be used when listing, reading and deleting messages:
> “SM“
> SIM message storage
> “ME“
> Mobile Equipment message storage
> “MT“(D)
> Sum of "SM" and "ME" storages

> <mem2>(str)

> Memory to be used when writing and sending messages:
> “SM“
> SIM message storage
> “ME“
> Mobile Equipment message storage
> “MT“(D)
> Sum of "SM" and "ME" storages

> <mem3>(str)

> Received messages will be placed in this memory storage if routing to TE is not set. See command AT+CNMI with parameter <mt>=2.
> “SM“
> SIM message storage
> “MT“(D)
> Sum of "SM" and "ME" storages

> <mid>(num)

> Message Identifier
> GSM 03.41 CBM Message Identifier in integer format

> <mn>(num)

> Message Number
> GSM 03.40 TP-Message-Number in integer format

> <mr>(num)

> Message Reference
> GSM 03.40 TP-Message-Reference in integer format

> <oa>(num)(+CSCS)

> Originating Address
> GSM 03.40 TP-Originating-Address Address-Value field in string format; BCD numbers (or GSM default alphabet characters) are converted into characters; type of address given by <tooa>

> <page>(num)

> Page Parameter
> GSM 03.41 CBM Page Parameter bits 4-7 in integer format

> <pages>(num)

> Page Parameter
> GSM 03.41 CBM Page Parameter bits 0-3 in integer format

> <pdu>(num)

> In the case of SMS: GSM 04.11 SC address followed by GSM 03.40 TPDU in hexadecimal format: ME/TA converts each octet of TP data unit into hexadecimal numbers containing two IRA characters (e.g. octet with integer value 42 is presented to TE as two characters 2A (IRA 50 and 65)). In the case of CBS: <ra> GSM 03.40 TP-Recipient-Address Ad-dress-Value field in string format; BCD numbers (or GSM default alphabet characters) are converted into characters; type of address given by <tora>

> <ra>(num)(+CSCS)

> Recipient Address
> GSM 03.40 TP-Recipient-Address Address-Value field in string format; BCD numbers (or GSM default alphabet characters) are converted to characters of the currently selected TE character set (refer to command AT+CSCS.); type of address given by <tora>

> <ref>(num)

> Reference number to identify all segments of the concatenated SMS (i.e. the number needs to be the same for each segment). If <ieia>=8 then max=255, otherwise 65535.
> 0...255
> 0...65535

> <sca>(num)(+CSCS)

> Service Center Address
> GSM 04.11 RP SC address Address-Value field in string format; BCD numbers (or GSM default alphabet characters) are converted to characters of the currently selected TE character set (refer to command AT+CSCS); type of address given by <tosca>

> <scts>(num)

> Service Centre Time Stamp
> GSM 03.40 TP-Service-Centre-Time-Stamp in time-string format (refer <dt>)

> <seq>(num)

> Sequence number of the concatenated SMS beginning with 1. The number must be incremented by one for each segment of the concatenated short message.
> <seq>=0 means: ignore the value. This will result in a non-concatenated SMS.
> 0...255

> <sn>(num)

> Serial Number
> GSM 03.41 CBM Serial Number in integer format

> <st>(num)

> Status
> GSM 03.40 TP-Status in integer format
> 0...255

> <stat>(str)

> Message status
> 3GPP 27.005 Interface of SMS and CB. Indicates the status of message in memory.

> Description | text mode (<mode>=1) | PDU mode (<mode>=0) | Default
> Received unread messages | "REC UNREAD" | 0 | for SMS reading commands
> Received read messages | "REC READ" | 1 |
> Stored unsent messages | "STO UNSENT" | 2 | for SMS writing commands
> Stored sent messages | "STO SENT" | 3 |
> All messages | "ALL" | 4 |

> <toda>(num)

> Type of Destination Address
> GSM 04.11 TP-Destination-Address Type-of-Address octet in integer format (when first character of <da> is + (IRA 43) default is 145, otherwise default is 129)
> 0...255

> <tooa>(num)

> Type of Originating Address
> GSM 04.11 TP-Originating-Address Type-of-Address octet in integer format (default refer <toda>)

> <tora>(num)

> Type of Recipient Address
> GSM 04.11 TP-Recipient-Address Type-of-Address octet in integer format (default refer <toda>)

> <tosca>(num)

> Type of Service Center Address
> GSM 04.11 RP SC address Type-of-Address octet in integer format (default refer <toda>)